#
# spec file for package lighttpd (Version 1.4.x.svn.r2167)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           lighttpd14-snapshot
Version:        1.4.x.svn.r2190
Release:        5.2
#
%define pkg_name lighttpd
%define pkg_user lighttpd
%define pkg_home /var/lib/%{pkg_name}
#
Group:          Productivity/Networking/Web/Servers
License:        BSD License and BSD-like
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  FastCGI-devel e2fsprogs-devel fam-devel gdbm-devel libattr-devel libmemcache-devel libxml2-devel mysql-devel openldap2-devel pcre-devel pkgconfig pwdutils zlib-devel
#
%define with_tests 1
%define with_enh_webdav 1
%if 0%{?sles_version} == 9
%define with_tests 0
%define with_enh_webdav 0
%endif
%if 0%{?with_enh_webdav}
BuildRequires:  sqlite-devel >= 3
%endif
#
%if 0%{?suse_version} < 1030
BuildRequires:  lua51-devel
%else
BuildRequires:  lua-devel
%endif
#
%if 0%{?with_geoip}
BuildRequires: GeoIP-devel
%endif
#
%if 0%{?with_tests}
BuildRequires:  php5-fastcgi
%endif
#
%if 0%{?suse_version} == 930 || 0%{?sles_version} == 9
BuildRequires:  libstdc++-devel
%endif
%if 0%{?suse_version} > 1020
BuildRequires:  libbz2-devel
%endif
PreReq:         %insserv_prereq %fillup_prereq /usr/sbin/groupadd /usr/sbin/useradd
#
URL:            http://www.lighttpd.net/
Source:         %{pkg_name}-1.4.x.tar.bz2
Source1:        %{pkg_name}.init
Source2:        %{pkg_name}.sysconfig
Source3:        config.tar.bz2
Source4:        lightytest.sh
Patch1:         lighttpd-1.4.10_testsuite.patch
Patch2:         lighttpd-1.4.x_mod_status_orig_uri.patch
#
Summary:        A Secure, Fast, Compliant, and Very Flexible Web Server

%description
Lighttpd a secure, fast, compliant, and very flexible Web server that
has been optimized for high-performance environments. It has a very low
memory footprint compared to other Web servers and takes care of CPU
load.  Its advanced feature set (FastCGI, CGI, Auth,
Output-Compression, URL-Rewriting, and more) makes lighttpd the perfect
Web server software for every server that is suffering load problems.



Authors:
--------
    Jan Kneschke <jan@kneschke.de>

%package mod_cml
Requires:       %{name} = %{version}
Group:          Productivity/Networking/Web/Servers
Summary:        CML (Cache Meta Language) module for Lighttpd

%description mod_cml
CML is a Meta language to describe the dependencies of a page at one
side and building a page from its fragments on the oth er side using
LUA.

CML (Cache Meta Language) wants to solves several problems:

* dynamic content needs caching to perform

* checking if the content is dirty inside of the application is
   usually more expensive than sending out the cached data

* a dynamic page is usually fragmented and the fragments have
   different livetimes

* the different fragements can be cached independently



Authors:
--------
    Jan Kneschke <jan@kneschke.de>

%package mod_magnet
Requires:       %{name} = %{version}
Group:          Productivity/Networking/Web/Servers
Summary:        A module to control the request handling in lighttpd

%description mod_magnet
A module to control the request handling in lighttpd.

It is the successor of mod_cml.



Authors:
--------
    Jan Kneschke <jan@kneschke.de>

%package mod_mysql_vhost
Requires:       %{name} = %{version}
Group:          Productivity/Networking/Web/Servers
Summary:        MySQL based virtual hosts (vhosts) module for Lighttpd

%description mod_mysql_vhost
With MySQL based vhosting you can put the information where to look for
a. document-root of a given host into a MySQL database.



Authors:
--------
    Jan Kneschke <jan@kneschke.de>

%package mod_trigger_b4_dl
Requires:       %{name} = %{version}
Group:          Productivity/Networking/Web/Servers
Summary:        Another anti hot-linking module for Lighttpd

%description mod_trigger_b4_dl
Anti Hotlinking:

* if user requests download-url directly the request is denied and
   he is redirected to ''deny-url'

* if user visits trigger-url before requesting download-url access
   is granted

* if user visits download-url again after trigger-timeout has run
   down to the request is denied and he is redirected  to deny-url

The storage for the trigger information is either stored locally in a
gdbm file or remotly in memcached.



Authors:
--------
    Jan Kneschke <jan@kneschke.de>

%package mod_rrdtool
Requires:       %{name} = %{version}
Requires:       rrdtool
Group:          Productivity/Networking/Web/Servers
Summary:        Lighttpd module to feed rrdtool databases

%description mod_rrdtool
RRD_tool is a system to store and display time-series data (i.e.
network bandwidth, machine-room temperature, server load average).

This module feeds an rrdtool database with the traffic stats from
lighttpd.



Authors:
--------
    Jan Kneschke <jan@kneschke.de>

%package mod_webdav
Requires:       %{name} = %{version}
Group:          Productivity/Networking/Web/Servers
Summary:        WebDAV module for Lighttpd

%description mod_webdav
The WebDAV module is a very minimalistic implementation of RFC 2518.
Minimalistic means that not all operations are implementated yet..

So far we have

* PROPFIND

* OPTIONS

* MKCOL

* DELETE

* PUT

and the usual GET, POST, HEAD from HTTP/1.1..

So far mounting a webdav resource into Windows XP works and the basic
litmus tests are passed.



Authors:
--------
    Jan Kneschke <jan@kneschke.de>

%debug_package
%prep
%setup -a 3 -n lighttpd-1.4.x
%patch1 

%build
export CFLAGS="%{optflags} -DLDAP_DEPRECATED -W -Wmissing-prototypes -Wmissing-declarations -Wpointer-arith -Wchar-subscripts -Wformat=2 -Wbad-function-cast -std=gnu99 -g"
%if %suse_version > 1000
export CFLAGS="$CFLAGS -fstack-protector"
%endif
sh -x ./autogen.sh
%configure                      \
    --bindir=%{_sbindir}        \
    --libdir=%{_libdir}/%{pkg_name} \
    --enable-lfs                \
    --enable-ipv6               \
    --with-ldap                 \
    --with-mysql                \
    --with-openssl              \
    --with-kerberos5            \
    --with-gdbm                 \
    --with-lua                  \
    --with-memcache             \
    --with-bzip2                \
    --with-webdav               \
%if 0%{?with_enh_webdav}
    --with-webdav-props         \
    --with-webdav-locks         \
%endif
    --with-fam                  \
    --with-attr
%{__make}
%if 0%{?with_tests}
sh -x %{S:4}
%endif

%install
%makeinstall
%{__install} -d -m 0755                            \
    %{buildroot}%{pkg_home}/sockets/               \
    %{buildroot}%{_var}/cache/%{pkg_name}/compress \
    %{buildroot}%{_var}/log/%{pkg_name}            \
    %{buildroot}%{_sysconfdir}/%{pkg_name}
#
# init script
#
%{__install} -D -m 0755 %{S:1} \
    %{buildroot}%{_sysconfdir}/init.d/%{pkg_name}
%{__ln_s} -f %{_sysconfdir}/init.d/%{pkg_name} %{buildroot}%{_sbindir}/rc%{pkg_name}
#
# sample config
#
perl -p -i.orig -e 's|^(server\.tag = ).*$|$1 "%{pkg_name} (%{version}/SuSE)"|' config/lighttpd.conf
diff -ur config/lighttpd.conf{.orig,} ||:
%{__rm} -vf config/lighttpd.conf.orig ||:
%{__cp} -rv config/* %{buildroot}%{_sysconfdir}/%{pkg_name}/
# only needed when build with mod_geoip support
%if ! 0%{?with_geoip}
%{__rm} -v %{buildroot}%{_sysconfdir}/%{pkg_name}/conf.d/geoip.conf
%endif
#
# sysconfig template
#
%{__install} -D -m 0644 %{S:2} \
    %{buildroot}/var/adm/fillup-templates/sysconfig.%{pkg_name}
#
# susefirewall config file
#
%if 0%{?with_susefirewall_config}
%{__install} -D -m 0644 %{S:5} \
    %{buildroot}/etc/sysconfig/SuSEfirewall2.d/services/lighttpd
%endif
#
# remove the .la files. we dont need them.
#
%{__rm} -vf %{buildroot}%{_libdir}/%{pkg_name}/*.la

%clean
%{__rm} -rf %{buildroot};

%pre
#
# e.g. adding user
#
/usr/sbin/groupadd -r %{pkg_user} &>/dev/null ||:
/usr/sbin/useradd  -g %{pkg_user} -s /bin/false -r -c "user for %{pkg_user}" -d %{pkg_home} %{pkg_user} &>/dev/null ||:

%post
%fillup_and_insserv %{pkg_name}

%preun
%stop_on_removal %{pkg_name}

%postun
%restart_on_update %{pkg_name}
%{insserv_cleanup}

%files
%defattr(-,root,root,-)
%{_sbindir}/*
%dir               %attr(750,root,%{pkg_user}) %{_sysconfdir}/%{pkg_name}
%dir               %attr(750,root,%{pkg_user}) %{_sysconfdir}/%{pkg_name}/conf.d
%dir               %attr(750,root,%{pkg_user}) %{_sysconfdir}/%{pkg_name}/vhosts.d
%config(noreplace) %attr(640,root,%{pkg_user}) %{_sysconfdir}/%{pkg_name}/lighttpd.conf
%config(noreplace) %attr(640,root,%{pkg_user}) %{_sysconfdir}/%{pkg_name}/modules.conf
# modules config
%if 0%{?with_geoip}
%config(noreplace) %attr(640,root,%{pkg_user}) %{_sysconfdir}/%{pkg_name}/conf.d/geoip.conf
%endif
%config(noreplace) %attr(640,root,%{pkg_user}) %{_sysconfdir}/%{pkg_name}/conf.d/access_log.conf
%config(noreplace) %attr(640,root,%{pkg_user}) %{_sysconfdir}/%{pkg_name}/conf.d/auth.conf
%config(noreplace) %attr(640,root,%{pkg_user}) %{_sysconfdir}/%{pkg_name}/conf.d/cgi.conf
%config(noreplace) %attr(640,root,%{pkg_user}) %{_sysconfdir}/%{pkg_name}/conf.d/compress.conf
%config(noreplace) %attr(640,root,%{pkg_user}) %{_sysconfdir}/%{pkg_name}/conf.d/debug.conf
%config(noreplace) %attr(640,root,%{pkg_user}) %{_sysconfdir}/%{pkg_name}/conf.d/dirlisting.conf
%config(noreplace) %attr(640,root,%{pkg_user}) %{_sysconfdir}/%{pkg_name}/conf.d/evhost.conf
%config(noreplace) %attr(640,root,%{pkg_user}) %{_sysconfdir}/%{pkg_name}/conf.d/expire.conf
%config(noreplace) %attr(640,root,%{pkg_user}) %{_sysconfdir}/%{pkg_name}/conf.d/fastcgi.conf
%config(noreplace) %attr(640,root,%{pkg_user}) %{_sysconfdir}/%{pkg_name}/conf.d/mime.conf
%config(noreplace) %attr(640,root,%{pkg_user}) %{_sysconfdir}/%{pkg_name}/conf.d/mod.template
%config(noreplace) %attr(640,root,%{pkg_user}) %{_sysconfdir}/%{pkg_name}/conf.d/proxy.conf
%config(noreplace) %attr(640,root,%{pkg_user}) %{_sysconfdir}/%{pkg_name}/conf.d/scgi.conf
%config(noreplace) %attr(640,root,%{pkg_user}) %{_sysconfdir}/%{pkg_name}/conf.d/secdownload.conf
%config(noreplace) %attr(640,root,%{pkg_user}) %{_sysconfdir}/%{pkg_name}/conf.d/simple_vhost.conf
%config(noreplace) %attr(640,root,%{pkg_user}) %{_sysconfdir}/%{pkg_name}/conf.d/ssi.conf
%config(noreplace) %attr(640,root,%{pkg_user}) %{_sysconfdir}/%{pkg_name}/conf.d/status.conf
%config(noreplace) %attr(640,root,%{pkg_user}) %{_sysconfdir}/%{pkg_name}/conf.d/userdir.conf
%config(noreplace) %attr(640,root,%{pkg_user}) %{_sysconfdir}/%{pkg_name}/vhosts.d/vhosts.template
# modules
%dir %{_libdir}/%{pkg_name}
%{_libdir}/%{pkg_name}/mod_access.so
%{_libdir}/%{pkg_name}/mod_accesslog.so
%{_libdir}/%{pkg_name}/mod_alias.so
%{_libdir}/%{pkg_name}/mod_auth.so
%{_libdir}/%{pkg_name}/mod_cgi.so
%{_libdir}/%{pkg_name}/mod_compress.so
%{_libdir}/%{pkg_name}/mod_dirlisting.so
%{_libdir}/%{pkg_name}/mod_evasive.so
%{_libdir}/%{pkg_name}/mod_evhost.so
%{_libdir}/%{pkg_name}/mod_expire.so
%{_libdir}/%{pkg_name}/mod_extforward.so
%{_libdir}/%{pkg_name}/mod_fastcgi.so
%{_libdir}/%{pkg_name}/mod_flv_streaming.so
%{_libdir}/%{pkg_name}/mod_indexfile.so
%{_libdir}/%{pkg_name}/mod_proxy.so
%{_libdir}/%{pkg_name}/mod_redirect.so
%{_libdir}/%{pkg_name}/mod_rewrite.so
%{_libdir}/%{pkg_name}/mod_scgi.so
%{_libdir}/%{pkg_name}/mod_secdownload.so
%{_libdir}/%{pkg_name}/mod_setenv.so
%{_libdir}/%{pkg_name}/mod_simple_vhost.so
%{_libdir}/%{pkg_name}/mod_ssi.so
%{_libdir}/%{pkg_name}/mod_staticfile.so
%{_libdir}/%{pkg_name}/mod_status.so
%{_libdir}/%{pkg_name}/mod_userdir.so
%{_libdir}/%{pkg_name}/mod_usertrack.so
%{_mandir}/man1/*.1*
%config(noreplace) %{_sysconfdir}/init.d/%{pkg_name}
%doc AUTHORS ChangeLog NEWS README
%doc doc/*.dot
%doc doc/spawn-php.sh
%doc doc/accesslog.txt
%doc doc/access.txt
%doc doc/alias.txt
%doc doc/authentication.txt
%doc doc/cgi.txt
%doc doc/compress.txt
%doc doc/configuration.txt
%doc doc/expire.txt
%doc doc/fastcgi-state.txt
%doc doc/fastcgi.txt
%doc doc/features.txt
%doc doc/performance.txt
%doc doc/plugins.txt
%doc doc/proxy.txt
%doc doc/redirect.txt
%doc doc/rewrite.txt
%doc doc/scgi.txt
%doc doc/secdownload.txt
%doc doc/security.txt
%doc doc/setenv.txt
%doc doc/simple-vhost.txt
%doc doc/skeleton.txt
%doc doc/ssi.txt
%doc doc/ssl.txt
%doc doc/state.txt
%doc doc/status.txt
%doc doc/traffic-shaping.txt
%doc doc/userdir.txt
/var/adm/fillup-templates/sysconfig.%{pkg_name}
%dir %attr(751,%{pkg_user},%{pkg_user}) %{pkg_home}/
%dir %attr(751,%{pkg_user},%{pkg_user}) %{pkg_home}/sockets/
%attr(751,%{pkg_user},%{pkg_user}) %{_var}/cache/%{pkg_name}/
%dir %attr(750,%{pkg_user},%{pkg_user}) %{_var}/log/%{pkg_name}/

%files mod_rrdtool
%defattr(-,root,root,-)
%config(noreplace) %attr(640,root,%{pkg_user}) %{_sysconfdir}/%{pkg_name}/conf.d/rrdtool.conf
%doc doc/rrdtool.txt
%doc doc/rrdtool-graph.sh
%{_libdir}/%{pkg_name}/mod_rrdtool.so

%files mod_cml
%defattr(-,root,root,-)
%config(noreplace) %attr(640,root,%{pkg_user}) %{_sysconfdir}/%{pkg_name}/conf.d/cml.conf
%{_libdir}/%{pkg_name}/mod_cml.so
%doc doc/cml.txt

%files mod_magnet
%defattr(-,root,root,-)
%config(noreplace) %attr(640,root,%{pkg_user}) %{_sysconfdir}/%{pkg_name}/conf.d/magnet.conf
%{_libdir}/%{pkg_name}/mod_magnet.so
%doc doc/magnet.txt

%files mod_mysql_vhost
%defattr(-,root,root,-)
%config(noreplace) %attr(640,root,%{pkg_user}) %{_sysconfdir}/%{pkg_name}/conf.d/mysql_vhost.conf
%{_libdir}/%{pkg_name}/mod_mysql_vhost.so
%doc doc/mysqlvhost.txt

%files mod_trigger_b4_dl
%defattr(-,root,root,-)
%config(noreplace) %attr(640,root,%{pkg_user}) %{_sysconfdir}/%{pkg_name}/conf.d/trigger_b4_dl.conf
%{_libdir}/%{pkg_name}/mod_trigger_b4_dl.so
%doc doc/trigger_b4_dl.txt

%files mod_webdav
%defattr(-,root,root,-)
%config(noreplace) %attr(640,root,%{pkg_user}) %{_sysconfdir}/%{pkg_name}/conf.d/webdav.conf
%{_libdir}/%{pkg_name}/mod_webdav.so
%doc doc/webdav.txt

%changelog
* Wed Jun 11 2008 jg@internetx.de
- update to 2190
* Thu May 22 2008 jg@internetx.de
- update to 2182
* Sun May  4 2008 jg@internetx.de
- update to 2167
* Tue Apr  8 2008 jg@internetx.de
- update to 2144
- openSUSE 10.3 build fixed
* Wed Mar 19 2008 jg@internetx.de
- update to 2130
* Tue Mar 11 2008 jg@internetx.de
- update to 2126
* Sat Mar  1 2008 jg@internetx.de
- update to r2110
- updated lighttpd-1.4.10_testsuite.patch
* Wed Aug 29 2007 mrueckert@suse.de
- update to r1978
* Sun Aug 26 2007 mrueckert@suse.de
- update to r1972
* Fri Jun 15 2007 mrueckert@suse.de
- update to r1875
* Mon May 14 2007 mrueckert@suse.de
- update to r1854
- sycned with other lighttpd packages
* Wed May  9 2007 mrueckert@suse.de
- update to r1851
* Tue Apr 10 2007 mrueckert@suse.de
- sync to r1745
- synced the spec with the lighttpd package
* Tue Apr 10 2007 mrueckert@suse.de
- sync to r1742
* Tue Apr 10 2007 mrueckert@suse.de
- sync to r1737
* Thu Mar 29 2007 mrueckert@suse.de
- sync to r1719
* Sat Mar 17 2007 mrueckert@suse.de
- sync to r1716
* Mon Sep 25 2006 mrueckert@suse.de
- lighttpd.sysconfig/lighttpd.init:
  added LIGHTTPD_UMASK with a default value of "077" to make sure
  we have a sane umask. mod_webdav now honors the umask when
  creating new files.
* Sat Sep 23 2006 mrueckert@suse.de
- update to 1.4.12:
  o added experimental LOCK support for webdav
  o added Content-Range support for PUT in webdav
  o added support for += on empty arrays in config-files
  o added ssl.cipher-list and ssl.use-sslv2
  o added $HTTP["querystring"] conditional
  o added mod_magnet as long-term replacement for mod_cml
  o added work-around for a Opera Bug with SSL + Chunked-Encoding
  o changed --print-config to print to stdout instead of stderr
  o changed no longer use 0600 for new files with webdav. umask is
    honored. Make sure you have set a proper umask.
  o fixed upload hangs with SSL
  o fixed connection drops with SSL (aka bad retry)
  o fixed path traversal with \ on cygwin
  o fixed mem-leak in mod_flv_streaming
  o fixed required trailing newline in configfiles (#142)
  o fixed quoting the autoconf files (#466)
  o fixed empty Host: + $HTTP["host"] handling (#458)
  o fixed handling of If-Modified-Since if ETag is not set
  o fixed default-shell if SHELL is not set (#441)
  o fixed appending and assigning of env.* vars
  o fixed empty FCGI_STDERR packets
  o fixed conditional server.allow-http-11
  o fixed handling of follow-symlink + lstat()
  o fixed SIGHUP handling if max-workers is used
  o fixed "Software caused connection abort" messages on FreeBSD
- additional changes from 1.4.11:
  o added ability to specify which ip address spawn-fci listens on
    (agkr@pobox.com)
  o added mod_flv_streaming to streaming Flash Movies efficiently
  o fixed handling of error codes returned by mod_dav_svn behing a
    mod_proxy
  o fixed error-messages in mod_auth and mod_fastcgi
  o fixed re-enabling overloaded local fastcgi backends
  o fixed handling of deleted files in linux-sendfile
  o fixed compilation on BSD and MacOSX
  o fixed $SERVER["socket"] on a already bound socket
  o fixed local source retrieval on windows
    (secunia)
  o fixed hanging cgi if remote side is dieing while reading
    from the pipe (sandy@meebo.com)
* Tue May 30 2006 mrueckert@suse.de
- updated to 1.4.10
  * added ability to specify which ip address spawn-fci listens on
  (agkr@pobox.com)
  * added mod_flv_streaming to streaming Flash Movies efficiently
  * fixed handling of error codes returned by mod_dav_svn behing a
  mod_proxy
  * fixed error-messages in mod_auth and mod_fastcgi
  * fixed re-enabling overloaded local fastcgi backends
  * fixed handling of deleted files in linux-sendfile
  * fixed compilation on BSD and MacOSX
  * fixed $SERVER["socket"] on a already bound socket
  * fixed local source retrieval on windows
  (secunia)
  * fixed hanging cgi if remote side is dieing while reading
  from the pipe (sandy@meebo.com)
- removed lighttpd-1.4.10_importantfixes.patch:
  all changes are upstream
- updated lighttpd-1.4.10_testsuite.patch:
  o removed max-request size
  o fixed count of the fastcgi tests.
* Mon Mar  6 2006 mrueckert@suse.de
- added lightytest.sh
  wrapper script around the test suite. so we properly cleanup the
  php-fastcgi process.
* Mon Mar  6 2006 mrueckert@suse.de
- added new splitted config (config.tar.bz2)
- added lighttpd-1.4.10_importantfixes.patch:
  + typo in mod_cml documentation (doc/cml.txt)
  + added paragraph about using var. and env.
  (doc/configuration.txt)
  + explain fastcgi.map-extensions (doc/fastcgi.txt)
  + include FAM_CFLAGS/SQLITE3_CFLAGS when needed (src/Makefile.am)
  + dont crash if using %%0 reference in a !~ conditional (tln #557)
  (src/configfile-glue.c)
  + handle additional request types/methods for webdav
  this allows proxying mod_dav_svn through lighttpd.
  (src/connections.c, src/keyvalue.c, src/keyvalue.h)
  + handle aliases correctly with force_lowercase_filenames
  (src/mod_alias.c)
  + improved error message for errors in the authentication config
  (src/mod_auth.c)
  + cgi module no longer resets physical path (mod_cgi.c)
  + close unused pipe-fds as soon as possible to generate a
  SIGPIPE if the remote end dies. (src/mod_cgi.c)
  + only send REQUEST_URI and QUERY_STRING if they are set
  (src/mod_cgi.c)
  + added host.load as status-variable (src/mod_fastcgi.c)
  + better handling for shrinking files
  (src/network_linux_sendfile.c)
  + don't init a SERVER["socket"] if it is initialized already
  (src/network.c)
  + fixed end of life memleaks (tln #524) (src/server.c)
  + removed umask(0);, let the old umask stay in place (tln #547)
  + test suite fixes (tests/mod-fastcgi.t, tests/request.t)
  + allow leading zeros in HTTP/01.01 (tln #542)
  (tests/core.t, src/request.c)
  + fixed handling of subdirs in ssi (tln #462) (src/mod_ssi.c)
- start lighttpd with a minimal environment
- added update for the server.tag in the config file
* Mon Feb 20 2006 mrueckert@suse.de
- split off mod_rrdtool
* Wed Feb  8 2006 mrueckert@suse.de
- update to version 1.4.10
  * added docs for mod_dirlisting
  * added fastcgi.map-extensions to mod_fastcgi
  * fixed load balancing for mod_fastcgi
  * fixed extra newline for syslog() in mod_accesslog
  * fixed user-track cookie for IE in mod_usertrack
  * fixed crash in digest handling in mod_auth
  * fixed handling of 301 response-bodies from a mod_proxy backend
  * fixed loading of base modules if server.modules is not set
  * fixed broken cgi if mod_scgi is loaded
- enabled test suite
- applied lighttpd-1.4.10_testsuite.patch
  - limits the max request size to 2GB. otherwise it would be 2^63-1
  on 64bit arches and one tests would fail.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 mrueckert@suse.de
- splitted up all modules that pull in extra dependencies
  lighttpd-mod_cml - lua, libmemcache
  lighttpd-mod_mysql_vhost - mysql-shared
  lighttpd-mod_trigger_b4_dl - libmemcache,gdbm
  lighttpd-mod_webdav - libxml2, sqlite3
* Mon Jan 23 2006 mrueckert@suse.de
- fix typo in the file section
* Sun Jan 15 2006 mrueckert@suse.de
- update to version 1.4.9
  * added server.core-files option (sandy)
  * added docs for mod_status
  * added mod_evasive to limit the number of connections by IP ()
  * added the power-magnet to mod_cml
  * added internal statistics to mod_fastcgi
  * added server.statistics-url to get internal statistics
    from mod_status
  * added support for conditional range-requests through If-Range
  * added static building via scons
  * fixed 100%% cpu loops in mod_cgi ("sandy" )
  * fixed handling for secure-download.timeout
    (jamis@37signals.com)
  * fixed IE bug in content-charset in the output of
    mod_dirlisting (sniper@php.net)
  * fixed typos and language in the docs
    (ryan-2005@ryandesign.com)
  * fixed assertion in mod_cgi on HEAD request is Content-Length ()
  * fixed handling if equal but duplicate If-Modified-Since request
    headers
  * fixed endless loops in mod_fastcgi if backend is dead
  * fixed Depth: 1 handling in PROPFIND requests on empty dirs
  * fixed encoding of UTF8 encoded dirlistings (Jani Taskinen )
  * fixed initial bind to a unix-domain socket through server.bind
  * fixed handling of lowercase filesystems
  * fixed duplicate request headers cause by mod_setenv
- added lighttpd-1.4.9_mod_fastcgi_crash.patch
  temporary fix a crash in the log message
* Wed Nov 23 2005 mrueckert@suse.de
- update to version 1.4.8
  * added auto-reconnect to ldap-server in mod_auth
  * changed auth.ldap-cafile to be optional
  * added strip_request_uri in mod_fastcgi
  * added more X-* headers to mod_proxy
  * added 'debug' to simple-vhost to suppress the messages by default
  * added support to let the server listen on UNIX-socket
  * changed default stat-cache-engine to 'simple'
  * removed debian/ dir from source package on request by packager
  * fixed max-age timestamps in mod_expire
  * fixed encoding the filenames in PROPFIND in mod_webdav
  * fixed range request handling in network_writev
  * fixed retry on connect error in mod_fastcgi
  * fixed possible crash in mod_webdav if sqlite3 support
    is available but not use
  * fixed fdvent-handler init if server.max-worker was used
  * fixed missing cleanup in mysql_vhost
  * fixed assert() in "connections.c:962:
    connection_handle_read_state: Assertion 'c->mem->used' failed."
  * fixed 64bit issue in md5
  * fixed crash in mod_status
  * fixed duplicate headers in mod_proxy
  * fixed Content-Length in HEAD request in mod_proxy
  * fixed unsigned/signed comparisions
  * fixed streaming in mod_cgi
  * fixed possible overflow in password-salt handling
  * fixed server-traffic-limit if connection limit is not set
- reenabled FAM support. (using gamin)
* Tue Oct 11 2005 mrueckert@suse.de
- update to version 1.4.6
  * fixed compilation on MacOS X and cygwin
  * fixed compressed output if caching was disabled (seen in IE and Opera)
  * fixed range-request option
  * fixed mysql-vhost module (was broken in 1.4.5)
  * fixed false positive in the detection of case-insensitive FS
* Tue Oct  4 2005 mrueckert@suse.de
- update to version 1.4.5
